Package org.springframework.context.annotation

# Enum Class ConfigurationCondition.ConfigurationPhase

java.lang.Object
java.lang.Enum<ConfigurationCondition.ConfigurationPhase>
org.springframework.context.annotation.ConfigurationCondition.ConfigurationPhase

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigurationCondition.ConfigurationPhase>`, `Constable`

Enclosing interface:
  ConfigurationCondition

public static enum ConfigurationCondition.ConfigurationPhase extends Enum<ConfigurationCondition.ConfigurationPhase>
The various configuration phases where the condition could be evaluated.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PARSE_CONFIGURATION`
The `Condition` should be evaluated as a `@Configuration` class is being parsed.
`REGISTER_BEAN`
The `Condition` should be evaluated when adding a regular (non `@Configuration`) bean.

## Method Summary

Modifier and Type
Method
Description
`static ConfigurationCondition.ConfigurationPhase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConfigurationCondition.ConfigurationPhase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PARSE_CONFIGURATION

public static final ConfigurationCondition.ConfigurationPhase PARSE_CONFIGURATION
The `Condition` should be evaluated as a `@Configuration` class is being parsed.

If the condition does not match at this point, the `@Configuration` class will not be added.

### REGISTER_BEAN

public static final ConfigurationCondition.ConfigurationPhase REGISTER_BEAN
The `Condition` should be evaluated when adding a regular (non `@Configuration`) bean. The condition will not prevent `@Configuration` classes from being added.

At the time that the condition is evaluated, all `@Configuration` classes will have been parsed.

## Method Details

### values

public static ConfigurationCondition.ConfigurationPhase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConfigurationCondition.ConfigurationPhase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null